Skip to main content
POST
/
v1
/
uploads
/
documents
Create Document Upload
curl --request POST \
  --url https://api.example.com/v1/uploads/documents \
  --header 'Content-Type: application/json' \
  --data '
{
  "document_id": "<string>"
}
'
{
  "document_id": "<string>",
  "upload_url": "<string>",
  "upload_key": "<string>",
  "expires_in": 123
}

Headers

authorization
string | null
refresh-token
string | null

Body

application/json

POST /v1/uploads/documents -- request a presigned URL for one file.

document_id
string
required

Caller-chosen identifier; echoed back in subsequent requests.

media_type
enum<string>
required

MIME type of the bytes you will PUT to the returned URL.

Available options:
application/pdf,
image/png,
image/jpeg,
image/gif,
image/webp,
text/plain

Response

Successful Response

document_id
string
required
upload_url
string
required
upload_key
string
required

Reference to use as DocumentRef.upload_key in induce/tabularize.

media_type
enum<string>
required
Available options:
application/pdf,
image/png,
image/jpeg,
image/gif,
image/webp,
text/plain
expires_in
integer
required

Seconds until the upload URL expires.